DtActionIcon(library call)

NAME
DtActionIcon — get the icon information for an action

SYNOPSIS

#include &<Dt/Action.h>
char *DtActionIcon(
char *actionName);

DESCRIPTION

The DtActionIcon function gets the icon information for an action. The actionName argument is the name of the action. DtActionIcon returns the name of the icon associated with an actionName action. If the action definition does not explicitly identify an icon name, this function returns the default action icon name, as described in dtactionfile(4) (``Action Selection''). The default action icon name can be customized using the actionIcon X resource.

If there are multiple actionName actions, the string returned is the icon associated with the most general action. The most general action is the one with the lowest precedence, as described in dtactionfile(4) (``Action Selection'').

RETURN VALUE

Upon successful completion, the DtActionIcon function returns a newly allocated copy of the icon name string ( ICON field) associated with the action; otherwise, it returns NULL.

APPLICATION USAGE

The DtActionIcon function is useful for applications that provide a graphical interface to actions.

The application should use XtFree(3) to free the icon name string returned by the DtActionIcon function.

SEE ALSO

Dt/Action.h - DtAction(5), XtFree(3) dtactionfile(4), dtdtfile(4).